WCSLEN(3)

NOM
wcslen - Déterminer la longueur d'une chaîne de caractères larges

SYNOPSIS
#include <wchar.h>

size_t wcslen (const wchar_t *s);

DESCRIPTION
La fonction wcslen() est l'équivalent, pour les caractères larges, de la fonction strlen(3). Elle détermine la longueur de la chaîne pointée par s, sans compter l'octet nul final.

VALEUR RENVOYÉE
La fonction wcslen() renvoie le nombre de caractères larges de s [Ndt : pas le nombre d'octets !].

CONFORMITÉ
C99.

VOIR AUSSI
strlen(3)

TRADUCTION

Ce document est une traduction réalisée par Thierry Vignaud <tvignaud AT mandriva DOT com> en 1999 et révisée le 10 décembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 3 wcslen ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.